services:
  app-twins:
    build:
      context: .
      args:
        NODE_IMAGE: docker.m.daocloud.io/library/node:24-alpine
        NGINX_IMAGE: docker.m.daocloud.io/library/nginx:1.27-alpine
        VITE_BASE_URL: http://twin.batiao8.com
        VITE_APP_ID: "10063"
    image: app-twins:latest
    container_name: app-twins
    restart: unless-stopped
    ports:
      - "8080:80"
